@echo off

echo WARNINGS
echo.
echo 1. This script will most likely FAIL if it is not run as an administrator. So if you haven't done this, exit this script, then right-click on it and choose "Run as administrator".
echo.
echo 2. This script (actually, the reg file assiociated with it) assumes that Notepad++ is installed in "C:\Program Files\Notepad++\"
echo If this is not the case for you, edit the reg file to suit your configuration, and run this script afterwards.
echo.
echo 3. This script must not work with 64-bits editions of Windows
echo.
echo 4. This script should not harm your computer, but  ...blah blah... use at your own risks ...blah blah...
echo.
echo Now please hit any key to continue, or Ctrl+C to exit
pause>nul
echo.

copy "%~dp0\Notepad++ParamProxy.exe" "%ProgramFiles%\Notepad++\"
start /wait regedit.exe /s "%~dp0\Notepad++ParamProxy.reg"

echo.
echo End of script
echo Hit any key to quit
pause>nul

:exit
